/*
 * (c) 2005 by Simon Gander <simongander@gmx.ch>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package guettingen;

import java.awt.image.BufferedImage;
// import java.io.File;
import java.io.IOException;
import java.net.URL;

import javax.imageio.ImageIO;

public class Tools {
	public static BufferedImage loadImage(String name) {
		BufferedImage bi;
		String path;
		URL url;
		
		path = "bilder/"+name+".png";
		url = ClassLoader.getSystemResource(path);
		
		if (url == null) return null;
		
		try {
			bi = ImageIO.read(url);
		} catch (IOException e) {
			System.err.println(e.getMessage());
			return null;
		}
		
		return bi;
	}
}

